/*
  Simple example for receiving
  
  http://code.google.com/p/rc-switch/
  
  Need help? http://forum.ardumote.com
*/

#include <RCSwitch.h>
// include the library code:
#include <LiquidCrystal.h>

// initialize the library with the numbers of the interface pins
LiquidCrystal lcd(7, 8, 9, 10, 11, 12);
RCSwitch mySwitch = RCSwitch();

void setup() {
  Serial.begin(9600);
  lcd.begin(16, 2);
    lcd.print("MAX31855 test");
  // wait for MAX chip to stabilize
  delay(500);
  mySwitch.enableReceive(0);  // Receiver on inerrupt 0 => that is pin #2
}

void loop() {
  lcd.setCursor(0, 0);
  if (mySwitch.available()) {
    
    int value = mySwitch.getReceivedValue();

    if (value == 0) {
      
      lcd.print("Unknown encoding");
    } else {
      lcd.print("Temp is : ");
      lcd.print( mySwitch.getReceivedValue() );
      lcd.print("c");
    }
    mySwitch.resetAvailable();
  }
}
